---
agentTools:
  projectIndex: https://docs.developer.yelp.com/llms.txt
---

# Get Businesses Associated with Access Token

Fields in the JSON HTTP 200 response body:

[block:parameters]
{
  "data": {
    "h-0": "Paramater Name",
    "h-1": "Description",
    "0-0": "business_ids",
    "0-1": "A list of business ids associated with the access token’s business user"
  },
  "cols": 2,
  "rows": 1
}
[/block]

### Error Scenarios

For the following error scenarios, Yelp will respond with an HTTP error with the following format for the response body:

[block:code]
{
  "codes": [
    {
      "code": "{\n    \"error\": {\n        \"id\" : \"<ERROR_CODE_ID>\",\n        \"description\": \"<Human readable description.>\",\n        \"http_code\": \"<http_code>\"\n    }\n}",
      "language": "json"
    }
  ]
}
[/block]

[block:parameters]
{
  "data": {
    "h-0": "id",
    "h-1": "Description",
    "h-2": "http_code",
    "0-0": "INVALID_TOKEN",
    "1-0": "INVALID_REQUEST",
    "2-0": "INSUFFICIENT_SCOPE",
    "0-1": "The access token provided is expired, revoked, malformed, or invalid for other reasons",
    "1-1": "Missing a required parameter or includes an unsupported parameter.",
    "2-1": "The request requires higher privileges than provided by the access token.",
    "0-2": "HTTPUnauthorized (401)",
    "1-2": "HTTPBadRequest (400)",
    "2-2": "HTTPBadRequest (400)"
  },
  "cols": 3,
  "rows": 3
}
[/block]

[block:callout]
{
  "type": "info",
  "body": "This endpoint is part of the Respond to Reviews API, visit [Respond to Reviews API](https://docs.developer.yelp.com/docs/respond-to-reviews-api-v2) to learn more."
}
[/block]

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Respond to Reviews API",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://partner-api.yelp.com/"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/token/v1/businesses": {
      "get": {
        "summary": "Get Businesses Associated with Access Token",
        "description": "",
        "operationId": "get-businesses-associated-with-an-access-token",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "description": "Of the format: `Bearer <access token>`",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n\"business_ids\": [\"fboDj-Etq-r0TJHzpLVfMg\"]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "business_ids": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "fboDj-Etq-r0TJHzpLVfMg"
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "shell",
              "code": "GET /token/v1/businesses HTTP/1.1\nHost: partner-api.yelp.com\nAuthorization: Bearer <access_token>"
            }
          ],
          "samples-languages": [
            "shell"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true,
  "_id": "5c09b264ba52d70013c76a52:5c0aadb97a3d0a0429c6b439"
}
```